<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number 37</title>
</head>

<body>
	
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.37:</b> Write a JavaScript program to create new string with first 3 characters are in lower case from a given string. If the string length is less than 3 convert all the characters in upper case.</p>
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="text" id="txt" placeholder="Enter Some Text">
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-left: 15px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	function generate() {
		var str = document.getElementById('txt').value;
		if (str.length < 3){
			document.getElementById('demo').innerHTML=
				str.toUpperCase();
		} else {
			part1 = str.substring(0,3);
			part2 = str.substring(3,str.length);
			document.getElementById('demo').innerHTML=
			part1.toLowerCase() + part2;	
		}
	}
	</script>
	
</body>
</html>
